CertificateTrustBlock (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.openssl

## Class CertificateTrustBlock

- java.lang.Object
- - org.bouncycastle.openssl.CertificateTrustBlock

-     public class CertificateTrustBlock
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateTrustBlock(java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> uses)`
    `CertificateTrustBlock(java.lang.String alias, java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> uses)`
    `CertificateTrustBlock(java.lang.String alias, java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> uses, java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> prohibitions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlias()`
    `java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier>` | `getProhibitions()`
    `java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier>` | `getUses()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateTrustBlock

          public CertificateTrustBlock(java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> uses)

    - #### CertificateTrustBlock

          public CertificateTrustBlock(java.lang.String alias,
                               java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> uses)

    - #### CertificateTrustBlock

          public CertificateTrustBlock(java.lang.String alias,
                               java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> uses,
                               java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> prohibitions)

  - ### Method Detail

    - #### getAlias

          public java.lang.String getAlias()

    - #### getUses

          public java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> getUses()

    - #### getProhibitions

          public java.util.Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> getProhibitions()